Bug 1122812 (CVE-2014-5044) - CVE-2014-5044 gcc: integer overflow flaws in libgfortran
Summary: CVE-2014-5044 gcc: integer overflow flaws in libgfortran
Status: CLOSED WONTFIX
Alias: CVE-2014-5044
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140617,repor...
Keywords: Security
Depends On: 1122813 1125219
Blocks: 1122817
TreeView+ depends on / blocked
 
Reported: 2014-07-24 07:16 UTC by Murray McAllister
Modified: 2015-07-31 07:24 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1125219 (view as bug list)
Environment:
Last Closed: 2015-01-21 16:22:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Murray McAllister 2014-07-24 07:16:21 UTC
Multiple integer overflow issues were found in libgfortran, the run-time support library for the Fortran compiler. These could possibly be used to crash a Fortran application or cause it to execute arbitrary code.

Upstream fix:

https://gcc.gnu.org/viewcvs/gcc?limit_changes=0&view=revision&revision=211721

These will be included in a later release of GCC.

References:

http://seclists.org/oss-sec/2014/q3/230

Comment 2 Murray McAllister 2014-07-24 07:18:13 UTC
Created gcc tracking bugs for this issue:

Affects: fedora-all [bug 1122813]


Note You need to log in before you can comment on or make changes to this bug.